Ok guys, I have an Ipod Touch 3G on 3.1.2 and I downloaded 4.0 [latest ipsw v.4.0.2]
I have 4.0 SHSH Blobs saved in Cydia and So far, WHen I try to update or restore with my downloaded 4.0 from Felixibruns it says not compatible.

This is the name of the file "iPod3,1_4.0_8A293_Restore.ipsw"

Please Help why>>>>